package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.AuthDetailDTO;
import com.diagbot.entity.ProductOrder;

import java.util.List;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface ProductOrderMapper extends BaseMapper<ProductOrder> {
	
	List<ProductOrder> getUserProductOrder(Long userId);
	
	List<AuthDetailDTO> getOrderDetails(String orderNum);

	/**
	 * @Description: 根据订单号查询订单信息
	 * @Author: wangyu
	 * @Date: 19:39 2018/9/20
	 */
	ProductOrder selctOrderTimeByOrderNum(ProductOrder productOrder);
}
